Skip to main content

Providers

Providers are the companies and organizations that create and host AI models — Anthropic, OpenAI, Google, Meta, Mistral, Cohere, xAI, and more.

List all providers

GET /api/v1/providers

Returns all tracked providers with summary statistics.

Response

{
"providers": [
{
"slug": "anthropic",
"name": "Anthropic",
"website_url": "https://anthropic.com",
"api_models_url": "https://api.anthropic.com/v1/models",
"family_count": 4,
"model_count": 18,
"created_at": "2024-01-15T00:00:00Z",
"updated_at": "2025-11-01T12:00:00Z"
},
{
"slug": "openai",
"name": "OpenAI",
"website_url": "https://openai.com",
"api_models_url": "https://api.openai.com/v1/models",
"family_count": 6,
"model_count": 32,
"created_at": "2024-01-15T00:00:00Z",
"updated_at": "2025-11-01T12:00:00Z"
}
]
}

Response Fields

FieldTypeDescription
slugstringURL-friendly unique identifier
namestringDisplay name
website_urlstringProvider's website
api_models_urlstring | nullURL polled for model listings
family_countintegerNumber of model families from this provider
model_countintegerTotal number of models from this provider
created_atstringISO 8601 timestamp
updated_atstringISO 8601 timestamp

Get a provider

GET /api/v1/providers/{slug}

Returns a single provider by slug with summary statistics.

Path Parameters

ParameterTypeDescription
slugstringProvider slug (e.g. anthropic, openai, google)

Response

{
"slug": "anthropic",
"name": "Anthropic",
"website_url": "https://anthropic.com",
"api_models_url": "https://api.anthropic.com/v1/models",
"family_count": 4,
"model_count": 18,
"created_at": "2024-01-15T00:00:00Z",
"updated_at": "2025-11-01T12:00:00Z"
}

Errors

StatusCodeDescription
404not_foundProvider with the given slug doesn't exist
{
"error": {
"code": "not_found",
"message": "Provider with slug 'foo' not found"
}
}